#
# spec file for package pinfo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pinfo
Version:        0.6.10
Release:        lp150.1.6
Summary:        Lynx-style Info Browser
License:        GPL-2.0+
Group:          Productivity/Publishing/Texinfo
Url:            https://alioth.debian.org/projects/pinfo/
Source:         https://alioth.debian.org/frs/download.php/file/3351/%{name}-%{version}.tar.bz2
Patch1:         pinfo-0.6.9-nul-strings.patch
Patch2:         pinfo-0.6.10-tinfo.patch
Patch3:         pinfo-curses-detection.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  makeinfo
BuildRequires:  ncurses-devel
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pinfo is a curses based, Lynx-style info browser.

%prep
%setup -q
%patch1
%patch2
%patch3 -p1

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
autoreconf -fiv
%configure \
	--with-curses=%{_prefix}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot}/ install
%find_lang %{name}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_mandir}/man1/pinfo.1%{ext_man}
%{_infodir}/pinfo.info%{ext_info}
%config %{_sysconfdir}/pinforc
%{_bindir}/pinfo

%changelog
* Mon Jan 18 2016 dimstar@opensuse.org
- Add pinfo-curses-detection.patch: Fix detection of ncurses by
  correctly using autoconf.
* Sun Aug  2 2015 mpluskal@suse.com
- Use url for source
- Explicitly depend on autoconf/make
- Update dependencies of info scriplets
- Cleanup spec file with spec-cleaner
* Sat Sep  8 2012 idonmez@suse.com
- Add explicit build dependency on makeinfo
* Fri Nov 25 2011 werner@suse.de
- Help the configure scripot a bit with tinfo from new ncurses API
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Jan 12 2011 puzel@novell.com
- portability fixes (by Pascal)
* Mon Sep 20 2010 puzel@novell.com
- update to pinfo-0.6.10
  - Fix issue with handling of suspend/resume and character input
    (thanks to Scott Mcdermott for the patch)
- drop pinfo-0.6.9-ncursesw.patch (not needed)
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Thu Jan 10 2008 mrueckert@suse.de
- updated ncurses patch to stop it from looking for the wrong header
  files
* Tue May 29 2007 anosek@suse.cz
- updated to version 0.6.9
  * Nodes containing a "." are now correctly found
  * Non-ASCII man pages are displayed correctly
  * Improved the history behavior of the search input line
  * Broken tag tables are now automatically fixed
  * Don't segfault when a broken regexp is entered
  * Fixed a number of segfaults caused by using uninitialized
    pointers and off-by-1 errors
  * Fixed heap corruption caused by non-ascii chars in info pages
  * Fixed a lot of patch searching issues
  * Fixed text display on narrow terminals
  * Fixed highlighting of searches
  * The default pinforc now uses the terminal's default foreground
    and background colors.  Thanks to Rob Funk for a patch.
  * Use libreadline by default;  readline version 4 is now required
  * Better cooperation between ncurses and readline
  * Fixed some memory leaks
  * Got rid of tempnam() calls
  * Use utf8 in documentation files and fixed typoes
- fixed corrupted unicode characters in status line [#264229]
  (ncursesw.patch)
- using %%find_lang macro in spec file
* Thu Mar 29 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 17 2005 mmarek@suse.cz
- Fixed a heap corruption bug caused by lines starting with NUL byte
  (#94768)
* Thu Aug 12 2004 mmj@suse.de
- Update to version 0.6.8
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 mmj@suse.de
- Use %%install_info macro [#23449]
* Sun Jan 12 2003 tcrhak@suse.cz
- update to version 0.6.6p1
* Fri Dec 14 2001 tcrhak@suse.cz
- update to version 0.6.4
* Tue Nov 13 2001 tcrhak@suse.cz
- removed aclocal, autoconf and automake
* Fri Aug 17 2001 adostal@suse.cz
- update to 0.6.3 version
- fixed spec to %%build
* Fri Oct 20 2000 smid@suse.cz
- new version 0.6.1
* Fri Sep 29 2000 smid@suse.cz
- new version 0.6.0
* Mon Apr 10 2000 smid@suse.cz
- buildroot added
* Tue Feb 15 2000 kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Fri Dec  3 1999 kukuk@suse.de
- Update to version 0.5.9
* Fri Oct  8 1999 kukuk@suse.de
- Update to version 0.5.8
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 kukuk@suse.de
- Update to version 0.5.5
* Wed Jun 16 1999 kukuk@suse.de
- Update to version 0.5.4
* Fri Jun  4 1999 kukuk@suse.de
- New.
